%define name    dxfaktura
%define version 1.00.0

%define is_mandrake %(test -e /etc/mandrake-release && echo 1 || echo 0)
%define is_suse %(test -e /etc/SuSE-release && echo 1 || echo 0)
%define is_fedora %(test -e /etc/fedora-release && echo 1 || echo 0)

%if %is_fedora
%define distr %(cat /etc/fedora-release)
%endif
%if %is_suse
%define distr %(head -1 /etc/SuSE-release)
%endif
%if %is_mandrake
%define distr %(cat /etc/mandrake-release)
%endif

Name: %{name}
Version: %{version}
Summary: dxfaktura - program pro fakturaci.
Release: 1
License: GPL
Group: Accessories
%if %is_fedora
BuildRequires: qt5-qtbase-devel qt5-qttools-devel qt5-qtwebkit-devel
%else
BuildRequires: libqt5-qtbase-devel libqt5-qttools-devel libQt5WebKit5-devel libQt5WebKitWidgets-devel
%endif
Source: %{name}-%{version}.tar.gz
Packager: David Vachulka <arch_dvx@users.sourceforge.net>
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: cmake

%description
dxfaktura je program pro fakturaci. dxfaktura je nezávislá na desktopu a napsané pomocí Qt toolkit.

%prep
%setup -q

%build
mkdir build
pushd build
cmake \
    -DCMAKE_INSTALL_PREFIX=%{_prefix} \
    ..
make
popd #build

%install
pushd build
%make_install
popd #build

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING
%{_bindir}/%{name}
%{_datadir}/icons/*
%{_datadir}/pixmaps/*
%{_datadir}/dxfaktura/*
%{_datadir}/applications/%{name}.desktop
