/***************************************************************
 * Name:      aboutdialog.cpp
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2013
 * License:   GPL3
 **************************************************************/

#include "aboutdialog.h"
#include "dxutils.h"

AboutDialog::AboutDialog(QWidget *parent) :
    QDialog(parent)
{
    QLabel *icon = new QLabel;
    icon->setPixmap(QPixmap(":/icons/dxfaktura128.png"));
    icon->setAlignment(Qt::AlignCenter);
    QLabel *name = new QLabel;
    name->setText(QString("<big><b>%1 %2</b></big>").arg(qApp->applicationName()).arg(qApp->applicationVersion()));
    name->setAlignment(Qt::AlignCenter);
    QDialogButtonBox *buttons = new QDialogButtonBox(QDialogButtonBox::Ok);
    connect(buttons, SIGNAL(accepted()), this, SLOT(accept()));
    QVBoxLayout *mainLayout = new QVBoxLayout;
    QLabel *link = new QLabel;
    link->setText("<a href=\"http://dxfaktura.dxsolutions.org\">http://dxfaktura.dxsolutions.org</a>");
    link->setAlignment(Qt::AlignCenter);
    link->setOpenExternalLinks(true);
    QLabel *fam = new QLabel;
    fam->setText(QString::fromUtf8("<small>Používá <a href=\"http://www.famfamfam.com/lab/icons/\">famfamfam icons</a></small>"));
    fam->setOpenExternalLinks(true);
    QLabel *license = new QLabel;
    license->setText(QString::fromUtf8("Realizováno pod <a href=\"http://www.gnu.org/licenses/gpl.html\">GPL 3</a> licencí"));
    license->setOpenExternalLinks(true);
    mainLayout->addWidget(icon);
    mainLayout->addWidget(name);
    mainLayout->addWidget(new QLabel(QString::fromUtf8("Copyright (C) 2013~\nDavid Vachulka (arch_dvx@users.sourceforge.net)\na další")));
    mainLayout->addWidget(license);
    mainLayout->addWidget(new QLabel(QString::fromUtf8("<small>Používá Qt %1</small>").arg(qVersion())));
    mainLayout->addWidget(fam);
    mainLayout->addWidget(link);
    mainLayout->addWidget(buttons);
    setLayout(mainLayout);
    setWindowTitle(QString("O %1").arg(qApp->applicationName()));
}
