/***************************************************************
 * Name:      adresardialog.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2013
 * License:   GPL3
 **************************************************************/

#ifndef ADRESARDIALOG_H
#define ADRESARDIALOG_H

#include <QtGui>
#if (QT_VERSION > 0x050000)
#include <QtWidgets>
#endif
#include <QtSql>

class AdresarDialog : public QDialog
{
    Q_OBJECT
public:
    explicit AdresarDialog( bool select, QWidget *parent = 0);

    int selectedID();
private:
    QTableView *m_odberatele;
    QSqlQueryModel *m_model;
    QAction *m_edit;
    QAction *m_remove;
    int m_selectedID;
    bool m_select;

    void setupModel();
private slots:
    void slotAdd();
    void slotEdit();
    void slotRemove();
    void slotDoubleclickOdberatele(const QModelIndex &index);
    void slotPopup(const QPoint &pos);
    void accept();
};

#endif // ADRESARDIALOG_H
