/***************************************************************
 * Name:      bankadialog.cpp
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2013
 * License:   GPL3
 **************************************************************/

#include "bankadialog.h"

BankaDialog::BankaDialog(QWidget *parent) :
    QDialog(parent)
{
    QLabel *label = new QLabel(QString::fromUtf8("Bankovní spojení"));
    QGridLayout *grid = new QGridLayout;
    grid->addWidget(new QLabel(QString::fromUtf8("Číslo účtu")), 0, 0);
    m_cislo = new QLineEdit;
    grid->addWidget(m_cislo, 0, 1);
    grid->addWidget(new QLabel("Banka"), 1, 0);
    m_banka = new QLineEdit;
    grid->addWidget(m_banka, 1, 1);
    QDialogButtonBox *buttons = new QDialogButtonBox(QDialogButtonBox::Ok|QDialogButtonBox::Cancel);
    connect(buttons, SIGNAL(accepted()), this, SLOT(accept()));
    connect(buttons, SIGNAL(rejected()), this, SLOT(reject()));
    QVBoxLayout *mainLayout = new QVBoxLayout;
    mainLayout->addWidget(label);
    mainLayout->addLayout(grid);
    mainLayout->addWidget(buttons);
    setLayout(mainLayout);
    setWindowTitle("Banka");
}

QString BankaDialog::cislo() const
{
    return m_cislo->text();
}

QString BankaDialog::banka() const
{
    return m_banka->text();
}

