/***************************************************************
 * Name:      emailfadialog.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef EMAILFADIALOG_H
#define EMAILFADIALOG_H

#include <QtGui>
#if (QT_VERSION < 0x050000)
    #include <QWebView>
#else 
    #include <QtWidgets>
    #include <QtWebKitWidgets/QWebView>
#endif
#include <QtSql>
#include <smtp/SmtpMime>

class EmailfaDialog : public QDialog
{
    Q_OBJECT
public:
    explicit EmailfaDialog(int id, QWidget *parent = 0);
private:
    QWebView *m_faktura;
    int m_id;
    bool m_platce;
    QPushButton *m_email;
    QPushButton *m_internal;
    QPushButton *m_custom;

    void createText();
    void updateSettings();
    QString selectTemplate();
private slots:
    void slotEmail();
    void slotInternal();
    void slotCustom();
};

class SendDialog : public QDialog
{
    Q_OBJECT
public:
    explicit SendDialog(const QString &file, const QString &recipient, QWidget *parent = 0);
private:
    QString m_file;
    QLineEdit *m_server;
    QSpinBox *m_port;
    QCheckBox *m_ssl;
    QCheckBox *m_autentifikace;
    QLineEdit *m_username;
    QLineEdit *m_password;
    QLineEdit *m_sender;
    QLineEdit *m_recipient;
    QLineEdit *m_subject;
    QTextEdit *m_text;

    EmailAddress *stringToEmail(const QString &str);
    void errorMessage(const QString &message);
private slots:
    void accept();
};



#endif // EMAILFADIALOG_H
