/***************************************************************
 * Name:      fakturadialog.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2013
 * License:   GPL3
 **************************************************************/

#ifndef FAKTURADIALOG_H
#define FAKTURADIALOG_H

#include <QtGui>
#if (QT_VERSION > 0x050000)
#include <QtWidgets>
#endif
#include <QtSql>
#include "polozkamodel.h"

class FakturaDialog : public QDialog
{
    Q_OBJECT
public:
    //pro pridani
    FakturaDialog(int typ, bool vydana, QWidget *parent = 0);
    //pro editaci
    FakturaDialog(int id, QWidget *parent = 0);
private:
    QLabel *m_nazev;
    QLabel *m_ulice;
    QLabel *m_cp;
    QLabel *m_psc;
    QLabel *m_misto;
    QLabel *m_zeme;
    QLabel *m_ic;
    QLabel *m_dic;
    bool m_edit;
    bool m_vydana;
    int m_id;
    int m_idAdresa;
    int m_typFaktury;
    QPushButton *m_selectAdresa;
    QPushButton *m_clearAdresa;
    QLineEdit *m_popis;
    QLineEdit *m_cislo;
    QLineEdit *m_vs;
    QLineEdit *m_ks;
    QComboBox *m_uhrada;
    QPushButton *m_uhradaAdd;
    QLabel *m_labelBanka;
    QComboBox *m_banka;
    QPushButton *m_bankaAdd;
    QDateEdit *m_vystaveni;
    QLabel *m_labelDUZP;
    QDateEdit *m_duzp;
    QDateEdit *m_splatnost;
    QTableView *m_polozky;
    QAction *m_editPolozka;
    QAction *m_removePolozka;
    PolozkaModel *m_modelPolozka;
    QLabel *m_celkem;
    QWidget *m_dph;
    QGridLayout *m_dphGrid;
    QList<QLabel*> m_dphLabels;
    QComboBox *m_mena;
    QPushButton *m_menaAdd;

    void createGUI();
    QVBoxLayout *createAdresaBox();
    QGridLayout *createFakturaGrid();
    QGroupBox *createPolozkaBox();
    int getLastFaktura();
    bool isPlatce();
    int getUhrada();
    bool isUhradaPokladnou();
    int getBanka();
    int getMena();
    QDate getDate(const QString &column);
    void updateCelkem();
    void updateDPH();
    void fillAdresaBox();
private slots:
    void accept();
    void reject();
    void slotSelectAdresa();
    void slotClearAdresa();
    void slotAddUhrada();
    void slotAddBanka();
    void slotAddMena();
    void slotAddPolozka();
    void slotEditPolozka();
    void slotRemovePolozka();
    void slotDoubleclickPolozky(const QModelIndex &index);
    void slotVystaveniChanged(const QDate &date);
    void slotPopup(const QPoint &pos);
    void slotUhrada(int index);
};

#endif // FAKTURADIALOG_H
