/***************************************************************
 * Name:      fatypdialog.cpp
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2013
 * License:   GPL3
 **************************************************************/

#include <QApplication>
#include <QtSql>
#include "fatypdialog.h"
#include "dxutils.h"

FatypDialog::FatypDialog(QWidget *parent) :
    QDialog(parent)
{
    QGridLayout *grid = new QGridLayout;
    grid->addWidget(new QLabel("Typ"),0,0);
    m_typ = new QComboBox;
    QSqlQuery q("SELECT id,typ FROM fatyp");
    while(q.next())
    {
        m_typ->addItem(q.value(1).toString(), q.value(0).toInt());
    }
    grid->addWidget(m_typ,0,1,1,2);
    QDialogButtonBox *buttons = new QDialogButtonBox(QDialogButtonBox::Ok|QDialogButtonBox::Cancel);
    connect(buttons, SIGNAL(rejected()), this, SLOT(reject()));
    connect(buttons, SIGNAL(accepted()), this, SLOT(accept()));
    QVBoxLayout *mainLayout = new QVBoxLayout;
    mainLayout->addLayout(grid);
    mainLayout->addWidget(buttons);
    setLayout(mainLayout);
    setWindowTitle("Vyberte typ faktury");
}

int FatypDialog::typ()
{
    return m_typ->itemData(m_typ->currentIndex()).toInt();
}

