/***************************************************************
 * Name:      fauhradadialog.cpp
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2015
 * License:   GPL3
 **************************************************************/

#include "fauhradadialog.h"

FauhradaDialog::FauhradaDialog(QWidget *parent) :
    QDialog(parent)
{
    QGridLayout *grid = new QGridLayout;
    grid->addWidget(new QLabel(QString::fromUtf8("Úhrada")), 0, 0);
    m_popis = new QLineEdit;
    grid->addWidget(m_popis, 0, 1);
    grid->addWidget(new QLabel("Pokladnou"), 1, 0);
    m_hotove = new QCheckBox;
    grid->addWidget(m_hotove, 1, 1);
    QDialogButtonBox *buttons = new QDialogButtonBox(QDialogButtonBox::Ok|QDialogButtonBox::Cancel);
    connect(buttons, SIGNAL(accepted()), this, SLOT(accept()));
    connect(buttons, SIGNAL(rejected()), this, SLOT(reject()));
    QVBoxLayout *mainLayout = new QVBoxLayout;
    mainLayout->addLayout(grid);
    mainLayout->addWidget(buttons);
    setLayout(mainLayout);
    setWindowTitle(QString::fromUtf8("Nová úhrada"));
}

QString FauhradaDialog::popis() const
{
    return m_popis->text();
}

bool FauhradaDialog::hotove()
{
    return m_hotove->isChecked();
}

