/***************************************************************
 * Name:      findreplacedialog.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef FINDREPLACEDIALOG_H
#define FINDREPLACEDIALOG_H

#include <QtGui>
#if (QT_VERSION > 0x050000)
#include <QtWidgets>
#endif

class FindreplaceDialog : public QDialog
{
    Q_OBJECT
public:
    explicit FindreplaceDialog(QWidget *parent = 0, QTextEdit  *edit = 0, bool replace = false);
private:
    bool m_showReplace;
    QTextEdit *m_edit;
    QLineEdit *m_find;
    QLineEdit *m_replace;
    QCheckBox *m_caseInsensitive;
    QCheckBox *m_wholeWords;
    QCheckBox *m_regularExpresion;
    QLabel *m_warning;
    QPushButton *m_findNext;
    QPushButton *m_findPrevious;
    QPushButton *m_findFromTop;
    QPushButton *m_replaceFindNext;
    QPushButton *m_replaceFindPrevious;
    QPushButton *m_replaceAll;

    bool find(const QTextCursor pos, const QTextDocument::FindFlag flag);
    void replace();
private slots:
    void slotFindNext();
    void slotFindPrevious();
    void slotFindFromTop();
    void slotReplaceFindNext();
    void slotReplaceFindPrevious();
    void slotReplaceAll();
};

#endif // FINDREPLACEDIALOG_H
