/***************************************************************
 * Name:      firmadialog.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2013
 * License:   GPL3
 **************************************************************/

#ifndef FIRMADIALOG_H
#define FIRMADIALOG_H

#include <QtGui>
#if (QT_VERSION > 0x050000)
#include <QtWidgets>
#endif
#include <QtSql>

class FirmaDialog : public QDialog
{
    Q_OBJECT
public:
    explicit FirmaDialog(bool edit = false, int id = 1, QWidget *parent = 0);
private:
    int m_id;
    QLineEdit *m_nazev;
    QLineEdit *m_ulice;
    QLineEdit *m_cp;
    QLineEdit *m_psc;
    QLineEdit *m_misto;
    QLineEdit *m_ic;
    QLineEdit *m_dic;
    QLineEdit *m_registrace;
    QLineEdit *m_email;
    QLineEdit *m_www;
    QLineEdit *m_logoPath;
    QLineEdit *m_razitkoPath;
    QLineEdit *m_telefon;
    QLineEdit *m_zeme;
    QPushButton *m_logoSelect;
    QPushButton *m_razitkoSelect;
    QCheckBox *m_platce;
    bool m_edit;
    
    void setupGUI();
    bool checkNazev(const QString &nazev);
private slots:
    void accept();
    void reject();
    void keyPressEvent(QKeyEvent *);
    void onLogoSelect();
    void onRazitkoSelect();
};

#endif // FIRMADIALOG_H
