/***************************************************************
 * Name:      firmydialog.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2013
 * License:   GPL3
 **************************************************************/

#ifndef FIRMYDIALOG_H
#define FIRMYDIALOG_H

#include <QtGui>
#if (QT_VERSION > 0x050000)
#include <QtWidgets>
#endif
#include <QtSql>

class FirmyDialog : public QDialog
{
    Q_OBJECT
public:
    explicit FirmyDialog(QWidget *parent = 0);

    int selectedID();
private:
    QListView *m_firmy;
    QSqlQueryModel *m_model;
    QAction *m_edit;
    QAction *m_remove;
    int m_selectedID;

    void setupModel();
private slots:
    void slotAdd();
    void slotEdit();
    void slotRemove();
    void slotDoubleclickFirmy(const QModelIndex &index);
    void slotPopup(const QPoint &pos);
};

#endif // FIRMYDIALOG_H
