/***************************************************************
 * Name:      helpdialog.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2013
 * License:   GPL3
 **************************************************************/

#ifndef HELPDIALOG_H
#define HELPDIALOG_H

#include <QtGui>
#if (QT_VERSION > 0x050000)
#include <QtWidgets>
#endif
#include <QtHelp/QtHelp>

class HelpBrowser;

class HelpDialog : public QDialog
{
    Q_OBJECT
public:
    explicit HelpDialog(QWidget *parent = 0);
    ~HelpDialog();
private slots:
    void openPage(const QUrl &url);
    void itemClicked(const QModelIndex &index);
private:
    HelpBrowser *m_text;
    QHelpEngine *m_engine;
    QString m_tmpDir;
    QString m_qchFile;
    QString m_qhcFile;
};

#endif // HELPDIALOG_H
