/***************************************************************
 * Name:      optionsdialog.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef OPTIONSDIALOG_H
#define OPTIONSDIALOG_H

#include <QtGui>
#if (QT_VERSION > 0x050000)
#include <QtWidgets>
#endif

class OptionsDialog : public QDialog
{
    Q_OBJECT
public:
    explicit OptionsDialog(QWidget *parent = 0);
private:
    //faktura widgets
    QSpinBox *m_rok;
    QLineEdit *m_vydana;
    QLineEdit *m_prijata;
    QSpinBox *m_splatnost;
    //email widgets
    QLineEdit *m_server;
    QSpinBox *m_port;
    QCheckBox *m_ssl;
    QCheckBox *m_autentifikace;
    QLineEdit *m_username;
    QLineEdit *m_password;
    QLineEdit *m_sender;
    QLineEdit *m_subject;
    QTextEdit *m_text;

    void createFakturaceTab(QTabWidget *tabbook);
    void createSmtpTab(QTabWidget *tabbook);
    void setupGUI();
    bool addDPH();
    void addSazba();
private slots:
    void accept();
    void slotRok();
};

#endif // OPTIONSDIALOG_H
