/***************************************************************
 * Name:      polozkadialog.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2013
 * License:   GPL3
 **************************************************************/

#ifndef POLOZKADIALOG_H
#define POLOZKADIALOG_H

#include <QtGui>
#if (QT_VERSION > 0x050000)
#include <QtWidgets>
#endif
#include <QtSql>

class PolozkaDialog : public QDialog
{
    Q_OBJECT
public:
    //Nova polozka
    PolozkaDialog(bool platce, int faktura, QWidget *parent = 0);
    //Editace
    PolozkaDialog(int id, bool platce, QWidget *parent = 0);

    int id();
private:
    QLineEdit *m_popis;
    QDoubleSpinBox *m_pocet;
    QLineEdit *m_mj;
    QDoubleSpinBox *m_cenamj;
    QComboBox *m_sazba;
    QLabel *m_labelDph;
    QLabel *m_labelCelkem;
    QPushButton *m_sazbaAdd;
    QCheckBox *m_bezdph;
    bool m_edit;
    int m_id;
    int m_faktura;
    bool m_platce;
    double m_dph;
    double m_celkem;

    void createGUI();
    void setupGUI();
    double sazbaByID(int id);
    int rokFaktury();
private slots:
    void accept();
    void slotUpdateDphCelkem();
    void slotAddSazba();
};

#endif // POLOZKADIALOG_H
