/***************************************************************
 * Name:      previewdialog.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef PREVIEWDIALOG_H
#define PREVIEWDIALOG_H

#include <QtGui>
#if (QT_VERSION < 0x050000)
    #include <QWebView>
#else 
    #include <QtWidgets>
    #include <QtWebKitWidgets/QWebView>
#endif

class PreviewDialog : public QDialog
{
    Q_OBJECT
public:
    explicit PreviewDialog(const QString &file, QWidget *parent = 0);
private:
    QWebView *m_faktura;
    QString m_file;
    bool m_platce;

    void createText();
    QString parseFakturaLine(QString line);
    QString parseFirmaLine(QString line);
    QString parseAdresarLine(QString line);
    QString parsePolozkaLine(QString line);
    QString parseSazbaLine(QString line);
};

#endif // PREVIEWDIALOG_H
