/***************************************************************
 * Name:      printfadialog.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2013
 * License:   GPL3
 **************************************************************/

#ifndef PRINTFADIALOG_H
#define PRINTFADIALOG_H

#include <QtGui>
#if (QT_VERSION < 0x050000)
    #include <QWebView>
#else 
    #include <QtWidgets>
    #include <QtWebKitWidgets/QWebView>
#endif
#include <QtSql>

class PrintfaDialog : public QDialog
{
    Q_OBJECT
public:
    explicit PrintfaDialog(int id, QWidget *parent = 0);
private:
    QWebView *m_faktura;
    int m_id;
    bool m_platce;
    QPushButton *m_print;
    QPushButton *m_internal;
    QPushButton *m_custom;
    QPushButton *m_printPdf;

    void createText();
    void updateSettings();
    QString selectTemplate();
private slots:
    void slotPrint();
    void slotPrintPDF();
    void slotInternal();
    void slotCustom();
};

#endif // PRINTFADIALOG_H
