/***************************************************************
 * Name:      uhradadialog.cpp
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2013
 * License:   GPL3
 **************************************************************/

#include "uhradadialog.h"

UhradaDialog::UhradaDialog(const QString &cislo, const QDate &date, QWidget *parent) :
    QDialog(parent)
{
    QLabel *question = new QLabel;
    question->setText(QString::fromUtf8("Datum úhrady\nfaktury číslo %1").arg(cislo));
    m_uhrada = new QDateEdit(date);
    m_uhrada->setCalendarPopup(true);
    QDialogButtonBox *buttons = new QDialogButtonBox(QDialogButtonBox::Ok|QDialogButtonBox::Cancel);
    connect(buttons, SIGNAL(accepted()), this, SLOT(accept()));
    connect(buttons, SIGNAL(rejected()), this, SLOT(reject()));
    QVBoxLayout *mainLayout = new QVBoxLayout;
    mainLayout->addWidget(question);
    mainLayout->addWidget(m_uhrada);
    mainLayout->addWidget(buttons);
    setLayout(mainLayout);
    setWindowTitle("Uhradit fakturu");
}

QString UhradaDialog::datum() const
{
    return m_uhrada->date().toString("dd.MM.yyyy");
}
