/***************************************************************
 * Name:      dxfaktura.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2013
 * License:   GPL3
 **************************************************************/

#ifndef DXFAKTURA_H
#define DXFAKTURA_H

#include <QtGui>
#if (QT_VERSION > 0x050000)
#include <QtWidgets>
#endif
#include <QtSql>
#include "dialogs/helpdialog.h"
#include "items/faktury.h"
#include "items/vydane.h"
#include "items/prijate.h"

class dxfaktura : public QMainWindow
{
    Q_OBJECT
public:
    explicit dxfaktura(bool firstRun, QWidget *parent = 0);
    ~dxfaktura();
private:
    QTreeWidget *m_navigator;
    QLabel *m_firma;
    QSplitter *m_splitter;
    Faktury *m_faktury;
    Prijate *m_prijate;
    Vydane *m_vydane;
    HelpDialog *m_help;

    void createMenu();
    void updatePreferences();
private slots:
    void slotCmdQuit();
    void slotCmdHelp();
    void slotCmdAbout();
    void slotCmdFirma();
    void slotCmdAdresar();
    void slotNavigation(QTreeWidgetItem *current);
    void slotCmdVydane();
    void slotCmdPrijate();
    void slotCmdOptions();
    void slotCmdPrintFaktury();
    void slotCmdPrintPrijmyVydaje();
    void slotCmdEditor();
};

#endif // DXFAKTURA_H
