/***************************************************************
 * Name:      prijate.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2013
 * License:   GPL3
 **************************************************************/

#ifndef PRIJATE_H
#define PRIJATE_H

#include <QAction>
#include <QTableView>
#include <QtSql>
#include "dxitem.h"
#include "famodel.h"

class Prijate : public dxitem
{
    Q_OBJECT
public:
    explicit Prijate(QTreeWidgetItem *parent = 0);

    QWidget *getPanel();
    void firmaChanged();
    int rows() const { return m_modelPrijate->rowCount(); }
private:
    QWidget *m_panel;
    QAction *m_addPrijata;
    QAction *m_editPrijata;
    QAction *m_deletePrijata;
    QAction *m_printPrijata;
    QAction *m_payPrijata;
    QTableView *m_fakturyPrijate;
    FaModel *m_modelPrijate;

    void createActions();
    void setupModel();
public slots:
    void slotCmdAddFaktura();
    void slotCmdEditFaktura();
    void slotCmdDeleteFaktura();
    void slotCmdPrintFaktura();
    void slotCmdPayFaktura();
private slots:
    void slotDoubleclickFaktura(const QModelIndex &index);
    void slotPopup(const QPoint &pos);
};

#endif // PRIJATE_H
