/***************************************************************
 * Name:      vydane.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2013
 * License:   GPL3
 **************************************************************/

#ifndef VYDANE_H
#define VYDANE_H

#include <QAction>
#include <QTableView>
#include <QtSql>
#include "dxitem.h"
#include "famodel.h"

class Vydane : public dxitem
{
    Q_OBJECT
public:
    explicit Vydane(QTreeWidgetItem *parent = 0);

    QWidget *getPanel();
    void firmaChanged();
    int rows() const { return m_modelVydane->rowCount(); }
private:
    QWidget *m_panel;
    QAction *m_addVydana;
    QAction *m_editVydana;
    QAction *m_deleteVydana;
    QAction *m_printVydana;
    QAction *m_emailVydana;
    QAction *m_payVydana;
    QTableView *m_fakturyVydane;
    FaModel *m_modelVydane;

    void createActions();
    void setupModel();
public slots:
    void slotCmdAddFaktura();
    void slotCmdEditFaktura();
    void slotCmdDeleteFaktura();
    void slotCmdPrintFaktura();
    void slotCmdEmailFaktura();
    void slotCmdPayFaktura();
private slots:
    void slotDoubleclickFaktura(const QModelIndex &index);
    void slotPopup(const QPoint &pos);
};

#endif // VYDANE_H
