/***************************************************************
 * Name:      preferences.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2013
 * License:   GPL3
 **************************************************************/

#ifndef PREFERENCES_H
#define PREFERENCES_H

#include <QString>

#define preferences Preferences::instance()

class Preferences
{
public:
    Preferences();
    Preferences(const Preferences &p);

    //Save to QSettings
    void save();
    //Load from QSettings
    void load();
    static Preferences &instance();
    QString validTemplate(const QString &name);

    //Fakturace settings value
    int m_rok; //ucetni rok
    QString m_prefixVydana;
    QString m_prefixPrijata;
    int m_splatnost;
    QString m_faprijataneplatce;
    QString m_faprijataplatce;
    QString m_favydananeplatce;
    QString m_favydanaplatce;
    QString m_zalohaprijataneplatce;
    QString m_zalohaprijataplatce;
    QString m_zalohavydananeplatce;
    QString m_zalohavydanaplatce;
    //SMTP settings value
    QString m_server;
    int m_port;
    bool m_ssl;
    bool m_autentifikace;
    QString m_username;
    QString m_password;
    QString m_sender;
    QString m_subject;
    QString m_text;
    //Other settings value
    int m_x;
    int m_y;
    int m_w;
    int m_h;
    bool m_maximized;
    int m_firmaid;
private:
    QString m_iniFile;
};

#endif // PREFERENCES_H
