/***************************************************************
 * Name:      helpbrowser.h
 * Author:    Lubos Dolezel <lubos a dolezel.info>
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef HELPBROWSER_H
#define HELPBROWSER_H

#include <QWidget>
#include <QTextBrowser>
#include <QHelpEngine>

class HelpBrowser : public QTextBrowser
{
public:
    HelpBrowser(QWidget *parent = 0);
    void setEngine(QHelpEngine* engine);
    QVariant loadResource(int type, const QUrl& name);
private:
    QHelpEngine* m_engine;
    QUrl m_urlLast;
};

#endif // HELPBROWSER_H
